/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class MainBossLaiXiVM : FguiViewModel
    {
        public GImage Bossdi { get; private set; }
        public GImage BossLaiLe { get; private set; }
        public GImage Boss02 { get; private set; }
        public GLoader LX { get; private set; }
        public GLoader BossTXT { get; private set; }
        public Transition T0 { get; private set; }

        public MainBossLaiXiVM(GComponent panel) : base(panel)
        {
        }
        protected override void BindComponents(GComponent panel)
        {
            Bossdi = panel.GetChild("bossdi") as GImage;
            BossLaiLe = panel.GetChild("BossLaiLe") as GImage;
            Boss02 = panel.GetChild("boss02") as GImage;
            LX = panel.GetChild("LX") as GLoader;
            BossTXT = panel.GetChild("BossTXT") as GLoader;
            T0 = panel.GetTransition("t0");

        }
    }
}